services:
  syncthing:
    image: syncthing/syncthing:latest
    container_name: syncthing
    restart: unless-stopped
    networks:
      - syncthing
    volumes:
      #- /db1/syncthing:/var/syncthing-config
      - /docker/syncthing:/var/syncthing
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.syncthing.rule=Host(`syncthing.mapletree.email`)"
      - "traefik.http.routers.syncthing.entrypoints=web,websecure"
      - "traefik.http.routers.syncthing.tls.certresolver=myresolver"
      - "traefik.http.services.syncthing.loadbalancer.server.port=8384"

    environment:
      - PUID=1000
      - PGID=1000
    command: ["--home", "/var/syncthing-config"]
    ports:
      - "8384:8384/tcp"
      - "22000:22000/tcp"
      - "22000:22000/udp"
      - "21027:21027/udp"
networks:
  syncthing:
    external: true

